## org.apache.http.impl.nio.ssl
Class SSLServerIOEventDispatch

    java.lang.Object
      org.apache.http.impl.nio.reactor.AbstractIODispatch<NHttpServerIOTarget>
          org.apache.http.impl.nio.DefaultServerIOEventDispatch
              org.apache.http.impl.nio.ssl.SSLServerIOEventDispatch

All Implemented Interfaces:
  IOEventDispatch

Deprecated. (4.2) use `DefaultHttpServerIODispatch`

    @Deprecated
    @Immutable
    public class SSLServerIOEventDispatch

extends DefaultServerIOEventDispatch

Default implementation of `IOEventDispatch` interface for SSL (encrypted) server-side HTTP connections.

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.1

Field Summary

Fields inherited from class org.apache.http.impl.nio.DefaultServerIOEventDispatch
`allocator, handler, params`

Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch
`CONNECTION_KEY`

Constructor Summary
`SSLServerIOEventDispatch(NHttpServiceHandler handler, SSLContext sslcontext, HttpParams params)` Deprecated. Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`.
`SSLServerIOEventDispatch(NHttpServiceHandler handler, SSLContext sslcontext, SSLSetupHandler sslHandler, HttpParams params)` Deprecated. Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`.

Method Summary
`protected NHttpServerIOTarget` `createConnection(IOSession session)` Deprecated. Creates an instance of `DefaultNHttpServerConnection` based on the given `IOSession`.
`protected NHttpServerIOTarget` `createSSLConnection(SSLIOSession ssliosession)` Deprecated.
`protected SSLIOSession` `createSSLIOSession(IOSession session, SSLContext sslcontext, SSLSetupHandler sslHandler)` Deprecated. Creates an instance of `SSLIOSession` decorating the given `IOSession`.
`void` `onConnected(NHttpServerIOTarget conn)` Deprecated.

Methods inherited from class org.apache.http.impl.nio.DefaultServerIOEventDispatch
`createByteBufferAllocator, createHttpRequestFactory, onClosed, onException, onInputReady, onOutputReady, onTimeout`

Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch
`connected, disconnected, inputReady, outputReady, timeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLServerIOEventDispatch

    public SSLServerIOEventDispatch(NHttpServiceHandler handler,
                                    SSLContext sslcontext,
                                    SSLSetupHandler sslHandler,
                                    HttpParams params)

  Deprecated.
  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`. This I/O dispatcher will transparently handle SSL protocol aspects for HTTP connections.

  Parameters:
    `handler` - the server protocol handler.
    `sslcontext` - the SSL context.
    `sslHandler` - the SSL setup handler.
    `params` - HTTP parameters.

### SSLServerIOEventDispatch

    public SSLServerIOEventDispatch(NHttpServiceHandler handler,
                                    SSLContext sslcontext,
                                    HttpParams params)

  Deprecated.
  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`. This I/O dispatcher will transparently handle SSL protocol aspects for HTTP connections.

  Parameters:
    `handler` - the server protocol handler.
    `sslcontext` - the SSL context.
    `params` - HTTP parameters.

Method Detail

### createSSLIOSession

    protected SSLIOSession createSSLIOSession(IOSession session,
                                              SSLContext sslcontext,
                                              SSLSetupHandler sslHandler)

  Deprecated.
  Creates an instance of `SSLIOSession` decorating the given `IOSession`.

  This method can be overridden in a super class in order to provide a different implementation of SSL I/O session.

  Parameters:
    `session` - the underlying I/O session.
    `sslcontext` - the SSL context.
    `sslHandler` - the SSL setup handler.
  Returns:
    newly created SSL I/O session.

### createSSLConnection

    protected NHttpServerIOTarget createSSLConnection(SSLIOSession ssliosession)

  Deprecated.

### createConnection

    protected NHttpServerIOTarget createConnection(IOSession session)

  Deprecated.
  Description copied from class: `DefaultServerIOEventDispatch`
  Creates an instance of `DefaultNHttpServerConnection` based on the given `IOSession`.

  This method can be overridden in a super class in order to provide a different implementation of the `NHttpServerIOTarget` interface.

  Overrides:
    `createConnection` in class `DefaultServerIOEventDispatch`
  Parameters:
    `session` - the underlying I/O session.
  Returns:
    newly created HTTP connection.

### onConnected

    public void onConnected(NHttpServerIOTarget conn)

  Deprecated.
  Overrides:
    `onConnected` in class `DefaultServerIOEventDispatch`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.